package com.hc.business.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.Order;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author 10696
 */
@Data
public class OrdersDto {

    /**
     * 主键id
     */
    private Integer ordersId;

    @ExcelProperty(value = "班次", index = 0)
    private String className;

    @ExcelProperty(value = "支付订单号", index = 1)
    private String orderNo;

    @ExcelProperty(value = "支付方式", index = 2)
    private String typeName;

    @ExcelProperty(value = "付款单位(线下汇款)", index = 3)
    private String payCompany;

    @ExcelProperty(value = "支付时间", index = 4)
    private String createTimeStr;
    @ExcelProperty(value = "支付状态", index = 5)
    private String orderStatusName;

    @ExcelProperty(value = "订单金额", index = 6)
    private Double totalAmount;

    @ExcelProperty(value = "备注", index = 7)
    private String remark;

    @ExcelProperty(value = "提交人姓名", index = 8)
    private String userName;

    @ExcelProperty(value = "提交人电话", index = 9)
    private String userMobile;
    /**
     * 用户id
     */
    @NotNull
    private Integer userId;

    /**
     * 班级id
     */
    private Integer classId;


    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单总金额
     */


    /**
     * 创建时间
     */
    private Long createTime;




    /**
     * 支付类型
     */
    private Integer type;


    /**
     * 单价
     */
    private Double price;

}
