package com.hc.business.mapper;

import com.hc.business.dto.OrderRefundLogDto;
import com.hc.business.model.OrderRefundLog;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;

/**
 * 退费用户明细表(OrderRefundLog)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:04
 */

@Repository
public interface OrderRefundLogMapper extends Mapper<OrderRefundLog> {

    /**
     * @Author ymnets
     * @Description 根据退费单ID查询退费详情
     * @return java.util.List<com.hc.business.dto.OrderRefundLogDto>
     **/
    List<OrderRefundLogDto> queryByRefundId(Integer refundId);

    /**
     * @Author ymnets
     * @Description 获取可以退费的用户，并且这些用户没有退费过或者正在退费
     * @return java.util.List<com.hc.business.dto.OrderRefundLogDto>
     **/
    List<OrderRefundLogDto> getWaitingForRefundUser(Integer orderId);
}
