package com.hc.business.mapper;

import com.hc.business.dto.OrderRefundAllDto;
import com.hc.business.dto.OrderRefundEntityDto;
import com.hc.business.model.OrderRefund;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;

/**
 * 退费订单记录表(OrderRefund)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:04
 */

@Repository
public interface OrderRefundMapper extends Mapper<OrderRefund> {

    /**
     * @Author ymnets
     * @Description 查询所有退费单
     * @param orderNo
     * @param status
     * @param payType
     * @param classId
     * @return java.util.List<com.hc.business.dto.OrderRefundLogDto>
     **/
    List<OrderRefundEntityDto> queryAll(Integer orderId, String orderNo, Integer status, Integer payType, Integer classId, Long begin, Long end);

    /**
     * @Author ymnets
     * @Description 高级查询退费单，用于导出
     * @return java.util.List<com.hc.business.dto.OrderRefundAllDto>
     **/
    List<OrderRefundAllDto> queryHighAll(Integer orderId, String orderNo, Integer status, Integer payType, Integer classId, Long begin, Long end);
}
