package com.hc.business.mapper;

import com.hc.business.model.UserTestHistory;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 用户考试记录表(UserTestHistory)表数据库访问层
 *
 * @author java
 * @since 2020-12-07 11:28:18
 */

@Repository
public interface UserTestHistoryMapper extends Mapper<UserTestHistory> {

    /**
     * 获取当前最高成绩
     *
     * @param userId  用户id
     * @param classId 班次id
     * @return 实例对象
     */
    UserTestHistory queryMaxScore(Integer userId, Integer classId);

}