package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 图书章节标签表。新建完成的图书章节，可以根据讲师不同，给不同的章节打标签，比如基础阶段，进阶阶段。。。(CourseChapterTag)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:50
 */


@ApiModel(value = "章节标签表")
public class CourseChapterTag implements Serializable {

    private static final long serialVersionUID = 998792510540027363L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer tagId;

    /**
     * 标签名
     */
    @ApiModelProperty(value = "标签名", required = true)
    @NotNull
    private String tagName;

    /**
     * 显示索引
     */
    @ApiModelProperty(value = "显示索引", required = true)
    @NotNull
    private Integer tagIndex;

    /**
     * 章节ID
     */
    @ApiModelProperty(value = "章节ID", required = true)
    @NotNull
    private Integer chapterId;

    /**
     * 讲师
     */
    @ApiModelProperty(value = "讲师", required = true)
    @NotNull
    private String teacherName;

    /**
     * 课程ID
     */
    @ApiModelProperty(value = "课程ID", required = true)
    @NotNull
    private Integer courseId;


    public CourseChapterTag(Integer tagId, @NotNull String tagName,
                            @NotNull Integer tagIndex, @NotNull Integer chapterId,
                            @NotNull String teacherName, @NotNull Integer courseId) {
        this.tagId = tagId;
        this.tagName = tagName;
        this.tagIndex = tagIndex;
        this.chapterId = chapterId;
        this.teacherName = teacherName;
        this.courseId = courseId;
    }

    public CourseChapterTag() {
    }

    public Integer getTagId() {
        return tagId;
    }

    public void setTagId(Integer tagId) {
        this.tagId = tagId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Integer getTagIndex() {
        return tagIndex;
    }

    public void setTagIndex(Integer tagIndex) {
        this.tagIndex = tagIndex;
    }

    public Integer getChapterId() {
        return chapterId;
    }

    public void setChapterId(Integer chapterId) {
        this.chapterId = chapterId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }
}