package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 章节测试表/随堂练习表(CourseChapterTest)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:52
 */


@ApiModel(value = "章节测试表")
public class CourseChapterTest implements Serializable {

    private static final long serialVersionUID = 314641819841270641L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer testId;

    /**
     * 习题id
     */
    @ApiModelProperty(value = "习题id", required = true)
    @NotNull
    private Integer questionId;

    /**
     * 章节id.目前得系统部分章节，默认0
     */
    @ApiModelProperty(value = "章节id.目前得系统部分章节，默认0", required = true)
    @NotNull
    private Integer chapterId;

    /**
     * 课程ID。目前得随堂练习都是配置在图书下得
     */
    @ApiModelProperty(value = "课程ID。目前得随堂练习都是配置在图书下得", required = true)
    @NotNull
    private Integer courseId;

    public CourseChapterTest(Integer testId, @NotNull Integer questionId,
                             @NotNull Integer chapterId, @NotNull Integer courseId) {
        this.testId = testId;
        this.questionId = questionId;
        this.chapterId = chapterId;
        this.courseId = courseId;
    }

    public CourseChapterTest() {
    }

    public Integer getTestId() {
        return testId;
    }

    public void setTestId(Integer testId) {
        this.testId = testId;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public Integer getChapterId() {
        return chapterId;
    }

    public void setChapterId(Integer chapterId) {
        this.chapterId = chapterId;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }
}