package com.hc.business.model;


import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


@Data
@ApiModel(value = "直播主表")
public class Live implements Serializable {

    private static final long serialVersionUID = 330355866082688396L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "ID", required = true)
    private Integer liveId;

    /**
     * 直播间名字
     */
    @ApiModelProperty(value = "直播间名字", required = true)
    private String liveName;

    /**
     * 直播间地址
     */
    @ApiModelProperty(value = "直播间地址", required = true)
    private String liveUrl;

    /**
     * 01表示不限制和某些培训班课参加
     */
    @ApiModelProperty(value = "01表示不限制和某些培训班课参加", required = true)
    private String liveType;

    /**
     * 直播间LOGO
     */
    @ApiModelProperty(value = "直播间LOGO")
    private String liveLogo;
}
