package com.hc.business.model;


import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


@Data
@ApiModel(value = "退费主表")
public class OrderRefund implements Serializable {

    private static final long serialVersionUID = 404350063874166042L;


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "ID")
    private Integer refundId;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号", required = true)
    private Integer orderId;

    /**
     * 退费总金额
     */
    @ApiModelProperty(value = "退费总金额", required = true)
    private Double totoalAmount;

    /**
     * 状态0123审核中，拒绝，通过，处理完毕
     */
    @ApiModelProperty(value = "状态0123审核中，拒绝，通过，处理完毕")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 业务处理时间
     */
    @ApiModelProperty(value = "业务处理时间")
    private Long yewuTime;

    /**
     * 财务处理时间
     */
    @ApiModelProperty(value = "财务处理时间")
    private Long fincalTime;

    /**
     * 业务备注
     */
    @ApiModelProperty(value = "业务备注")
    private String yewuNote;

    /**
     * 财务备注
     */
    @ApiModelProperty(value = "财务备注")
    private String fincalNote;

    @ApiModelProperty(value = "退费原因")
    private String reason;

    @ApiModelProperty(value = "退费备注")
    private String remarks;

    @ApiModelProperty(value = "退费单")
    private String refundNo;

    /**
     * 班级ID
     */
    @ApiModelProperty(value = "班级ID", required = true)
    private Integer classId;


}
