package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 随机试卷问题表(PaperQuestion)实体类
 *
 * @author java
 * @since 2020-12-07 11:35:09
 */

@ApiModel(value = "抽题表")
public class PaperQuestion implements Serializable {

    private static final long serialVersionUID = -31457085483443169L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer paperRuleId;

    /**
     * 试卷编号
     */
    @ApiModelProperty(value = "试卷编号", required = true)
    @NotNull
    private Integer paperId;

    /**
     * 问题数量
     */
    @ApiModelProperty(value = "问题数量", required = true)
    @NotNull
    private Integer questionNum;

    /**
     * 难易程度
     */
    @ApiModelProperty(value = "难易程度", required = true)
    private Integer questionLevel;

    /**
     * 题目类型
     */
    @ApiModelProperty(value = "题目类型", required = true)
    @NotNull
    private Integer questionType;

    /**
     * 分值
     */
    @ApiModelProperty(value = "分值", required = true)
    private Integer score;

    /**
     * 基于哪个题库
     */
    @ApiModelProperty(value = "基于哪个题库", required = true)
    @NotNull
    private Integer questionTagId;

    public PaperQuestion(Integer paperRuleId, @NotNull Integer paperId,
                         @NotNull Integer questionNum, Integer questionLevel,
                         @NotNull Integer questionType, Integer score,
                         @NotNull Integer questionTagId) {
        this.paperRuleId = paperRuleId;
        this.paperId = paperId;
        this.questionNum = questionNum;
        this.questionLevel = questionLevel;
        this.questionType = questionType;
        this.score = score;
        this.questionTagId = questionTagId;
    }

    public PaperQuestion() {
    }

    public Integer getPaperRuleId() {
        return paperRuleId;
    }

    public void setPaperRuleId(Integer paperRuleId) {
        this.paperRuleId = paperRuleId;
    }

    public Integer getPaperId() {
        return paperId;
    }

    public void setPaperId(Integer paperId) {
        this.paperId = paperId;
    }

    public Integer getQuestionNum() {
        return questionNum;
    }

    public void setQuestionNum(Integer questionNum) {
        this.questionNum = questionNum;
    }

    public Integer getQuestionLevel() {
        return questionLevel;
    }

    public void setQuestionLevel(Integer questionLevel) {
        this.questionLevel = questionLevel;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getQuestionTagId() {
        return questionTagId;
    }

    public void setQuestionTagId(Integer questionTagId) {
        this.questionTagId = questionTagId;
    }
}