package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 问题标签表(QuestionTag)实体类
 *
 * @author java
 * @since 2020-12-07 11:36:38
 */

@ApiModel(value = "题目标签表")
public class QuestionTag implements Serializable {

    private static final long serialVersionUID = 707743295313254406L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer questionTagId;

    /**
     * 标签名称
     */
    @ApiModelProperty(value = "标签名称", required = true)
    @NotNull
    private String tagName;

    public QuestionTag(Integer questionTagId, @NotNull String tagName) {
        this.questionTagId = questionTagId;
        this.tagName = tagName;
    }

    public QuestionTag() {
    }

    public Integer getQuestionTagId() {
        return questionTagId;
    }

    public void setQuestionTagId(Integer questionTagId) {
        this.questionTagId = questionTagId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
}