package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 用户考试记录表(UserTestHistory)实体类
 *
 * @author java
 * @since 2020-12-07 11:28:17
 */

@ApiModel(value = "考试记录表")
public class UserTestHistory implements Serializable {

    private static final long serialVersionUID = -86805600747462758L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer testId;

    /**
     * 用户Id
     */
    @ApiModelProperty(value = "用户Id", required = true)
    private Integer userId;

    /**
     * 试卷ID
     */
    @ApiModelProperty(value = "试卷ID", required = true)
    private Integer paperId;

    /**
     * 班次id
     */
    @ApiModelProperty(value = "班次ID", required = true)
    private Integer classId;

    /**
     * 成绩
     */
    @ApiModelProperty(value = "成绩", required = true)
    private Integer score;

    /**
     * 问题ID数组
     */
    @ApiModelProperty(value = "问题ID数组", required = true)
    private String answer;


    @ApiModelProperty(value = "创建时间")
    private Long createTime;


    @ApiModelProperty(value = "总分", required = true)
    private Integer totalScore;

    /**
     * 考试时间
     */
    @ApiModelProperty(value = "考试时间", required = true)
    private String testTime;

    public UserTestHistory(Integer testId, Integer userId, Integer paperId,
                           Integer classId, Integer score, String answer,
                           Long createTime, Integer totalScore, String testTime) {
        this.testId = testId;
        this.userId = userId;
        this.paperId = paperId;
        this.classId = classId;
        this.score = score;
        this.answer = answer;
        this.createTime = createTime;
        this.totalScore = totalScore;
        this.testTime = testTime;
    }

    public UserTestHistory() {
    }

    public Integer getTestId() {
        return testId;
    }

    public void setTestId(Integer testId) {
        this.testId = testId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getPaperId() {
        return paperId;
    }

    public void setPaperId(Integer paperId) {
        this.paperId = paperId;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public String getTestTime() {
        return testTime;
    }

    public void setTestTime(String testTime) {
        this.testTime = testTime;
    }

}