package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ClassCourse;
import org.springframework.stereotype.Component;


/**
 * 班次课程表(ClassCourse)表服务接口
 *
 * @author java
 * @since 2020-11-24 11:30:07
 */

@Component
public interface ClassCourseService {

    /**
     * 通过ID查询单条数据
     *
     * @param classCourseId 主键
     * @return 实例对象
     */
    ClassCourse queryById(Integer classCourseId);

    /**
     * 新增数据
     *
     * @param classCourse 实例对象
     * @return 实例对象
     */
    ClassCourse insert(ClassCourse classCourse);

    /**
     * 修改数据
     *
     * @param classCourse 实例对象
     * @return 实例对象
     */
    ClassCourse update(ClassCourse classCourse);

    /**
     * 通过主键删除数据
     *
     * @param classCourseId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer classCourseId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 获取班级下的课程
     *
     * @param classId    班级id
     * @param courseType 课程类别
     * @param page       页码
     * @param size       查询条数
     * @return 对象列表
     */
    PageInfo queryByClassId(Integer classId, Integer courseType, Integer page, Integer size);
}