package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.CourseChapterTag;
import org.springframework.stereotype.Component;


/**
 * 图书章节标签表。新建完成的图书章节，可以根据讲师不同，给不同的章节打标签，比如基础阶段，进阶阶段。。。(CourseChapterTag)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:04:51
 */

@Component
public interface CourseChapterTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param tagId 主键
     * @return 实例对象
     */
    CourseChapterTag queryById(Integer tagId);

    /**
     * 新增数据
     *
     * @param courseChapterTag 实例对象
     * @return 实例对象
     */
    CourseChapterTag insert(CourseChapterTag courseChapterTag);

    /**
     * 修改数据
     *
     * @param courseChapterTag 实例对象
     * @return 实例对象
     */
    CourseChapterTag update(CourseChapterTag courseChapterTag);

    /**
     * 通过主键删除数据
     *
     * @param tagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer tagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}