package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.OrderRefundAllDto;
import com.hc.business.dto.OrderRefundEntityDto;
import com.hc.business.model.OrderRefund;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 退费订单记录表(OrderRefund)表服务接口
 *
 * @author makejava
 * @since 2024-01-20 10:56:41
 */

@Component
public interface OrderRefundService {

    /**
     * 通过ID查询单条数据
     *
     * @param refundId 主键
     * @return 实例对象
     */
    OrderRefund queryById(Integer refundId);

    /**
     * 新增数据
     *
     * @param orderRefund 实例对象
     * @return 实例对象
     */
    OrderRefund insert(OrderRefund orderRefund);

    /**
     * 修改数据
     *
     * @param orderRefund 实例对象
     * @return 实例对象
     */
    OrderRefund update(OrderRefund orderRefund);

    /**
     * 通过主键删除数据
     *
     * @param refundId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer refundId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * @return com.github.pagehelper.PageInfo
     * @Author ymnets
     * @Description 分页查询退费单
     **/
    PageInfo queryAll(int page, int size, Integer orderId, String orderNo, Integer status, Integer payType, Integer classId, Long begin, Long end);

    /**
     * @return com.github.pagehelper.PageInfo
     * @Author ymnets
     * @Description 查询退费单
     **/
    List<OrderRefundEntityDto> queryAll(Integer orderId, String orderNo, Integer status, Integer payType, Integer classId, Long begin, Long end);

    /**
     * @Author ymnets
     * @Description 高级查询退费单，用于导出
     * @return java.util.List<com.hc.business.dto.OrderRefundAllDto>
     **/
    List<OrderRefundAllDto> queryHighAll(Integer orderId, String orderNo, Integer status, Integer payType, Integer classId, Long begin, Long end);
}