package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.QuestionType;
import org.springframework.stereotype.Component;


/**
 * 问题类型表(QuestionType)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:37:01
 */

@Component
public interface QuestionTypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param typeId 主键
     * @return 实例对象
     */
    QuestionType queryById(Integer typeId);

    /**
     * 新增数据
     *
     * @param questionType 实例对象
     * @return 实例对象
     */
    QuestionType insert(QuestionType questionType);

    /**
     * 修改数据
     *
     * @param questionType 实例对象
     * @return 实例对象
     */
    QuestionType update(QuestionType questionType);

    /**
     * 通过主键删除数据
     *
     * @param typeId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer typeId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}