package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.UserAdviseAttachment;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 线下汇款订单附件表(UserAdviseAttachment)表服务接口
 *
 * @author makejava
 * @since 2024-01-25 20:48:58
 */

@Component
public interface UserAdviseAttachmentService {

    /**
     * 通过ID查询单条数据
     *
     * @param attachmentId 主键
     * @return 实例对象
     */
    UserAdviseAttachment queryById(Integer attachmentId);

    /**
     * 新增数据
     *
     * @param userAdviseAttachment 实例对象
     * @return 实例对象
     */
    UserAdviseAttachment insert(UserAdviseAttachment userAdviseAttachment);

    /**
     * 修改数据
     *
     * @param userAdviseAttachment 实例对象
     * @return 实例对象
     */
    UserAdviseAttachment update(UserAdviseAttachment userAdviseAttachment);

    /**
     * 通过主键删除数据
     *
     * @param attachmentId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer attachmentId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    List<UserAdviseAttachment> queryByUserAdviseId(Integer userAdviseId);
}
