package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.UserRefundHistory;
import org.springframework.stereotype.Component;

/**
 * 用户退款记录表(UserRefundHistory)表服务接口
 *
 * @author java
 * @since 2020-12-10 11:31:41
 */

@Component
public interface UserRefundHistoryService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserRefundHistory queryById(Integer id);

    /**
     * 新增数据
     *
     * @param userRefundHistory 实例对象
     * @return 实例对象
     */
    UserRefundHistory insert(UserRefundHistory userRefundHistory);

    /**
     * 修改数据
     *
     * @param userRefundHistory 实例对象
     * @return 实例对象
     */
    UserRefundHistory update(UserRefundHistory userRefundHistory);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}