package com.hc.web.controller.browser.app;

import com.hc.business.service.NewsAttachmentService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * 新闻附件表(NewsAttachment)表控制层
 *
 * @author makejava
 * @since 2024-01-20 11:48:47
 */

@RestController
@RequestMapping("/new/api/app/news/newsAttachment")
public class AppNewsAttachmentController {

    /**
     * 服务对象
     */
    private final NewsAttachmentService newsAttachmentService;

    public AppNewsAttachmentController(NewsAttachmentService newsAttachmentService) {
        this.newsAttachmentService = newsAttachmentService;
    }

    @GetMapping("/queryByNewsId")
    @ApiOperation(value = "根据newID获取他的附件", response = Result.class)
    public Result queryByNewsId(@RequestParam(defaultValue = "0") Integer newsId) {
        return Result.success(newsAttachmentService.queryByNewsId(newsId));
    }


}
