package com.hc.web.controller.browser.front;

import com.hc.business.service.UserStatusService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 10696
 * @since 2020/12/6 13:53
 */

@RestController
@RequestMapping("/new/api/front/userClassLog")
public class FrontUserClassLogController {

    @Autowired
    private UserStatusService userStatusService;

    @GetMapping("/{userId}")
    @ApiOperation(value = "依据用户id查询 userClassLog ", response = Result.class)
    public Result selectUserStatusLog(@ApiParam(value = "用户id") @PathVariable("userId") Integer userId) {
        return Result.success(this.userStatusService.queryDtoByUserId(userId));
    }

}
