package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 广告表
 * (WebBanner)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebBanner implements Serializable {



    private static final long serialVersionUID = 616327737880757755L;


    /**
     * ID主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "ID主键")
    private Integer bannerId;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址", required = true)
    private String bannerUrl;

    @ApiModelProperty(value = "图片地址", required = true)
    private String bannerPic;

    /**
     * 索引
     */
    @ApiModelProperty(value = "索引", required = true)
    private Integer bannerIndex;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}