package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 章节附件表(CourseChapterAnnex)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebCourseChapterAnnex implements Serializable {

    private static final long serialVersionUID = 481844161933884385L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer courseChapterAnnexId;

    /**
     * 附件名字
     */
    @ApiModelProperty(value = "附件名字", required = true)
    private String annexName;

    /**
     * 章节ID
     */
    @ApiModelProperty(value = "章节ID", required = true)
    private Integer courseChapterId;

    /**
     * 介绍
     */
    @ApiModelProperty(value = "介绍", required = true)
    private String annexIntroduction;

    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址", required = true)
    private String annexUrl;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}