package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 图书章节标签表。新建完成的图书章节，可以根据讲师不同，给不同的章节打标签，比如基础阶段，进阶阶段。。。(CourseChapterTag)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebCourseChapterTag implements Serializable {

    private static final long serialVersionUID = -58319150173298367L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer tagId;

    /**
     * 标签名
     */
    @ApiModelProperty(value = "标签名", required = true)
    private String tagName;

    /**
     * 显示索引
     */
    @ApiModelProperty(value = "显示索引", required = true)
    private Integer tagIndex;

    /**
     * 章节ID
     */
    @ApiModelProperty(value = "章节ID", required = true)
    private Integer courseChapterId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}