package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 章节测试表/随堂练习表(CourseChapterTest)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebCourseChapterTest implements Serializable {

    private static final long serialVersionUID = -96480269731831437L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer testId;

    /**
     * 习题id
     */
    @ApiModelProperty(value = "习题id", required = true)
    private Integer questionId;

    /**
     * 章节id.目前得系统部分章节，默认0
     */
    @ApiModelProperty(value = "章节id.目前得系统部分章节，默认0", required = true)
    private Integer chapterId;

    /**
     * 课程ID。目前得随堂练习都是配置在图书下得
     */
    @ApiModelProperty(value = "课程ID。目前得随堂练习都是配置在图书下得", required = true)
    private Integer courseId;
}