package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 课程视频(CourseChapterVideo)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebCourseChapterVideo implements Serializable {

    private static final long serialVersionUID = 219725579098381488L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer videoId;

    /**
     * 章节id，目前视频直接配置在课程下，允许章节ID=NULL
     */
    @ApiModelProperty(value = "章节id，目前视频直接配置在课程下，允许章节ID=NULL", required = true)
    private Integer courseChapterId;

    /**
     * 视频名称
     */
    @ApiModelProperty(value = "视频名称", required = true)
    private String videoName;

    /**
     * 视频地址
     */
    @ApiModelProperty(value = "视频地址", required = true)
    private String videoUrl;


    @ApiModelProperty(value = "${column.comment}", required = true)
    private String videoOriUrl;

    /**
     * 是否精品课程，精品课程允许试看
     */
    @ApiModelProperty(value = "是否精品课程，精品课程允许试看", required = true)
    private Integer isFree;

    /**
     * 试看时间，分钟
     */
    @ApiModelProperty(value = "试看时间，分钟", required = true)
    private Integer freeTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}