package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻表
 * (News)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Data
@NoArgsConstructor
public class WebNews implements Serializable {

    private static final long serialVersionUID = 485489852911503744L;


    /**
     * 新闻id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "新闻id")
    private Integer newsId;

    /**
     * 鏍囬
     */
    @ApiModelProperty(value = "鏍囬", required = true)
    private String newsTitle;

    /**
     * 鏂伴椈Logo
     */
    @ApiModelProperty(value = "鏂伴椈Logo", required = true)
    private String newsLogo;

    /**
     * 新闻内容
     */
    @ApiModelProperty(value = "新闻内容", required = true)
    private String newsContent;

    /**
     * 原文链接
     */
    @ApiModelProperty(value = "原文链接", required = true)
    private String newsUrl;

    /**
     * 新闻所属板块
     */
    @ApiModelProperty(value = "新闻所属板块", required = true)
    private Integer moduleId;

    /**
     * 分类
     */
    @ApiModelProperty(value = "分类", required = true)
    private Integer typeId;

    @ApiModelProperty(value = "置顶", required = true)
    private Integer flag;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}