package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻操作记录表，比如转发，点评(NewsHistory)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebNewsHistory implements Serializable {

    private static final long serialVersionUID = -84251348332107794L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer historyId;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID", required = true)
    private Integer userId;

    /**
     * 01点评，转发
     */
    @ApiModelProperty(value = "01点评，转发", required = true)
    private Integer opType;

    /**
     * 点评或者转发得内容
     */
    @ApiModelProperty(value = "点评或者转发得内容", required = true)
    private String opContent;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}