package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻标签，新闻对应表(NewsTagCollection)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebNewsTagCollection implements Serializable {

    private static final long serialVersionUID = -65633173510831046L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer collectionId;

    /**
     * 新闻tag id
     */
    @ApiModelProperty(value = "新闻tag id", required = true)
    private Integer tagId;

    /**
     * 新闻ID
     */
    @ApiModelProperty(value = "新闻ID", required = true)
    private Integer newsId;
}