package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseChapter;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 课程章节表(CourseChapter)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@Component
public interface WebCourseChapterService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseChapterId 主键
     * @return 实例对象
     */
    WebCourseChapter queryById(Integer courseChapterId);

    /**
     * 新增数据
     *
     * @param courseChapter 实例对象
     * @return 实例对象
     */
    WebCourseChapter insert(WebCourseChapter courseChapter);

    /**
     * 修改数据
     *
     * @param courseChapter 实例对象
     * @return 实例对象
     */
    WebCourseChapter update(WebCourseChapter courseChapter);

    /**
     * 通过主键删除数据
     *
     * @param courseChapterId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseChapterId);

    /**
     * 分页查询多条数据
     *
     * @param page     页码
     * @param size     查询条数
     * @param courseId 课程id
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size, Integer courseId);


}