package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseChapterTag;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 图书章节标签表。新建完成的图书章节，可以根据讲师不同，给不同的章节打标签，比如基础阶段，进阶阶段。。。(CourseChapterTag)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:07
 */

@Component
public interface WebCourseChapterTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param tagId 主键
     * @return 实例对象
     */
    WebCourseChapterTag queryById(Integer tagId);

    /**
     * 新增数据
     *
     * @param courseChapterTag 实例对象
     * @return 实例对象
     */
    WebCourseChapterTag insert(WebCourseChapterTag courseChapterTag);

    /**
     * 修改数据
     *
     * @param courseChapterTag 实例对象
     * @return 实例对象
     */
    WebCourseChapterTag update(WebCourseChapterTag courseChapterTag);

    /**
     * 通过主键删除数据
     *
     * @param tagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer tagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}