package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebNewsTagCollection;
import org.springframework.stereotype.Component;


/**
 * 新闻标签，新闻对应表(NewsTagCollection)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:12
 */

@Component
public interface WebNewsTagCollectionService {

    /**
     * 通过ID查询单条数据
     *
     * @param collectionId 主键
     * @return 实例对象
     */
    WebNewsTagCollection queryById(Integer collectionId);

    /**
     * 新增数据
     *
     * @param newsTagCollection 实例对象
     * @return 实例对象
     */
    WebNewsTagCollection insert(WebNewsTagCollection newsTagCollection);

    /**
     * 修改数据
     *
     * @param newsTagCollection 实例对象
     * @return 实例对象
     */
    WebNewsTagCollection update(WebNewsTagCollection newsTagCollection);

    /**
     * 通过主键删除数据
     *
     * @param collectionId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer collectionId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}