package com.hc.gpweb.controller.front;

import com.hc.gpbusiness.service.WebCourseChapterService;
import com.hc.gpcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * 课程章节表(CourseChapter)表控制层
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@RestController
@RequestMapping("/api/front/courseChapter")
public class FrontCourseChapterController {

    /**
     * 服务对象
     */
    private final WebCourseChapterService courseChapterService;

    public FrontCourseChapterController(WebCourseChapterService courseChapterService) {
        this.courseChapterService = courseChapterService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 CourseChapter", response = Result.class)
    public Result selectCourseChapter(@PathVariable("id") Integer id) {
        return Result.success(this.courseChapterService.queryById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 CourseChapter列表(分页)", response = Result.class)
    public Result listCourseChapter(@RequestParam(defaultValue = "0") Integer page,
                                        @RequestParam(defaultValue = "0") Integer size,
                                        @RequestParam Integer courseId) {
        return Result.success(courseChapterService.queryAllByLimit(page, size, courseId));
    }


}