package com.hc.gpweb.controller.front;


import com.hc.gpbusiness.service.WebCourseService;
import com.hc.gpcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * 课程表(Course)表控制层
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@RestController
@RequestMapping("/api/front/course")
public class FrontCourseController {

    /**
     * 服务对象
     */
    private final WebCourseService courseService;

    public FrontCourseController(WebCourseService courseService) {
        this.courseService = courseService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 Course", response = Result.class)
    public Result selectCourse(@PathVariable("id") Integer id) {
        return Result.success(this.courseService.queryModelById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 Course列表(分页)", response = Result.class)
    public Result listCourse(@RequestParam(defaultValue = "0") Integer page,
                             @RequestParam(defaultValue = "0") Integer size,
                             @RequestParam Integer moduleId) {
        return Result.success(courseService.queryAllByLimit(page, size, moduleId));
    }


}