package com.hc.gpweb.controller.front;

import com.hc.gpbusiness.service.WebModulesService;
import com.hc.gpcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * 板块表(Module)表控制层
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@RestController
@RequestMapping("/api/front/module")
public class FrontModulesController {

    /**
     * 服务对象
     */
    private final WebModulesService moduleService;

    public FrontModulesController(WebModulesService moduleService) {
        this.moduleService = moduleService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 Module", response = Result.class)
    public Result selectModule(@PathVariable("id") Integer id) {
        return Result.success(this.moduleService.queryById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 Module列表(分页)", response = Result.class)
    public Result listModule(@RequestParam(defaultValue = "0") Integer page,
                             @RequestParam(defaultValue = "0") Integer size) {
        return Result.success(moduleService.queryAllByLimit(page, size));
    }


}