package com.hc.business.mapper;

import com.hc.business.dto.ZccmClassCourseDto;
import com.hc.business.model.ZccmClassCourse;
import com.hc.core.utils.mapper.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 班次课程表(ClassCourse)表数据库访问层
 *
 * @author java
 * @since 2020-11-24 11:30:06
 */

@Repository
public interface ZccmClassCourseMapper extends Mapper<ZccmClassCourse> {

    /**
     * 查询班级课程
     *
     * @param classId    班级id
     * @param courseType 类别
     * @return 实例对象数组
     */
    List<ZccmClassCourseDto> queryByClassId(@Param("classId") Integer classId,
                                            @Param("courseType") Integer courseType);

    /**
     * 查询重复课程
     *
     * @param classId  班级id
     * @param courseId 课程id
     * @return 实例对象数组
     */
    List<ZccmClassCourse> queryByClassIdWithCourseId(@Param("classId") Integer classId,
                                                 @Param("courseId") Integer courseId);


}