package com.hc.business.mapper;

import com.hc.business.model.ZccmQuestionAnswer;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 问题答案表(QuestionAnswer)表数据库访问层
 *
 * @author java
 * @since 2020-12-07 11:36:19
 */

@Repository
public interface ZccmQuestionAnswerMapper extends Mapper<ZccmQuestionAnswer> {

    /**
     * 获取习题答案
     *
     * @param questionId 试题id
     * @return 实例对象数组
     */
    List<ZccmQuestionAnswer> queryByQuestionId(Integer questionId);

    /**
     * 依据试题id获取答案id
     *
     * @param questionId 试题id
     * @return 实例对象数组
     */
    List<Integer> selectAnswerIdListByQuestionId(Integer questionId);
}