package com.hc.business.mapper;

import com.hc.business.model.ZccmUserAdmin;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 管理员表(UserAdmin)表数据库访问层
 *
 * @author java
 * @since 2020-11-16 13:45:04
 */

@Repository
public interface ZccmUserAdminMapper extends Mapper<ZccmUserAdmin> {

    /**
     * 依据用户名查找管理员
     *
     * @param adminAccount 用户名
     * @return 实例对象数组
     */
    List<ZccmUserAdmin> selectUserAdmin(String adminAccount);

}