package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * 省份表(ZccmAreaDistrict)实体类
 *
 * @author java
 * @since 2020-11-20 12:48:44
 */

@ApiModel(value = "地区表")
@Data
public class ZccmAreaDistrict implements Serializable {

    private static final long serialVersionUID = -60609528264342036L;

    /**
     * 地区编号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "地区编号")
    private Integer areaId;

    /**
     * 地区名称
     */
    @ApiModelProperty(value = "地区名称", required = true)
    @NotNull
    private String areaName;

    /**
     * 父级编号
     */
    @ApiModelProperty(value = "父级编号", required = true)
    @NotNull
    private Integer parentId;

    /**
     * 省级配图
     */
    @ApiModelProperty(value = "省级配图", required = true)
    private String areaImage;

    /**
     * 地区状态 0/锁定 1/开放
     */
    @ApiModelProperty(value = "地区状态 0/锁定 1/开放", required = true)
    private Integer areaStatus;

    /**
     * 地区索引
     */
    @ApiModelProperty(value = "地区索引", required = true)
    @NotNull
    private Integer areaIndex;

    /**
     * 构造的
     */
    @Transient
    private List<ZccmAreaDistrict> areaDistrictList;


}