package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 章节附件表(CourseChapterAnnex)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:48
 */


@ApiModel(value = "章节附件表")
@Data
public class ZccmCourseChapterAnnex implements Serializable {

    private static final long serialVersionUID = 282553089268625985L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer courseChapterAnnexId;

    /**
     * 附件名字
     */
    @ApiModelProperty(value = "附件名字", required = true)
    @NotNull
    private String annexName;

    /**
     * 章节ID
     */
    @ApiModelProperty(value = "章节ID", required = true)
    @NotNull
    private Integer courseChapterId;

    /**
     * 介绍
     */
    @ApiModelProperty(value = "介绍", required = true)
    @NotNull
    private String annexIntroduction;

    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址", required = true)
    @NotNull
    private String annexUrl;

}