package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 课程视频(CourseChapterVideo)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:54
 */


@ApiModel(value = "章节视频表")
@Data
public class ZccmCourseChapterVideo implements Serializable {

    private static final long serialVersionUID = -21553514386384145L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer videoId;

    /**
     * 章节id，目前视频直接配置在课程下，允许章节ID=NULL
     */
    @ApiModelProperty(value = "章节id，目前视频直接配置在课程下，允许章节ID=NULL", required = true)
    @NotNull
    private Integer chapterId;

    /**
     * 视频名称
     */
    @ApiModelProperty(value = "视频名称", required = true)
    @NotNull
    private String videoName;

    /**
     * 视频地址
     */
    @ApiModelProperty(value = "视频地址", required = true)
    @NotNull
    private String videoUrl;


    @ApiModelProperty(value = "${column.comment}", required = true)
    private String videoOriUrl;

    /**
     * 视频所属课程ID
     */
    @ApiModelProperty(value = "视频所属课程ID", required = true)
    @NotNull
    private Integer courseId;

    /**
     * 是否精品课程，精品课程允许试看
     */
    @ApiModelProperty(value = "是否精品课程，精品课程允许试看")
    private Integer isFree;

    /**
     * 试看时间，分钟
     */
    @ApiModelProperty(value = "试看时间，分钟")
    private Integer freeTime;

}