package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;


/**
 * 习题表(Question)实体类
 *
 * @author java
 * @since 2020-12-07 11:35:53
 */

@ApiModel(value = "题目表")
@Data
public class ZccmQuestion implements Serializable {

    private static final long serialVersionUID = 215664877400645272L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer questionId;

    /**
     * 习题题干
     */
    @ApiModelProperty(value = "习题题干", required = true)
    private String questionDescription;

    /**
     * 标签id
     */
    @ApiModelProperty(value = "标签id", required = true)
    private Integer tagId;

    /**
     * 习题类型
     */
    @ApiModelProperty(value = "习题类型", required = true)
    private Integer questionType;

    /**
     * 习题分数
     */
    @ApiModelProperty(value = "习题分数", required = true)
    private Integer questionScore;

    /**
     * 习题级别，难中易
     */
    @ApiModelProperty(value = "习题级别，难中易", required = true)
    private Integer questionLevel;

    /**
     * 解析
     */
    @ApiModelProperty(value = "解析", required = true)
    private String analysis;

    @Transient
    private List<ZccmQuestionAnswer> questionAnswerList;

}