package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 问题答案表(QuestionAnswer)实体类
 *
 * @author java
 * @since 2020-12-07 11:36:17
 */

@ApiModel(value = "题目答案表")
@Data
public class ZccmQuestionAnswer implements Serializable {

    private static final long serialVersionUID = 408168416998479718L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer questionAnswerId;

    /**
     * 习题id
     */
    @ApiModelProperty(value = "习题id", required = true)
    @NotNull
    private Integer questionId;

    /**
     * 试题答案
     */
    @ApiModelProperty(value = "试题答案", required = true)
    @NotNull
    private String questionAnswer;

    /**
     * 是否正确
     */
    @ApiModelProperty(value = "是否正确", required = true)
    @NotNull
    private Byte isTrue;

}