package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 问题类型表(QuestionType)实体类
 *
 * @author java
 * @since 2020-12-07 11:36:58
 */

@ApiModel(value = "试题类型表")
@Data
public class ZccmQuestionType implements Serializable {

    private static final long serialVersionUID = 477430279562474374L;


    /**
     * 题库id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "题库id")
    private Integer typeId;

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称", required = true)
    @NotNull
    private String typeName;

}