package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 管理员表(ZccmUserAdmin)实体类
 *
 * @author java
 * @since 2020-11-16 13:45:03
 */

@ApiModel(value = "管理员表")
@Data
public class ZccmUserAdmin implements Serializable {

    private static final long serialVersionUID = -33023267070799101L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userAdminId;

    /**
     * 管理员名字
     */
    @ApiModelProperty(value = "管理员名字", required = true)
    @NotNull
    private String adminName;

    /**
     * 管理员账号
     */
    @ApiModelProperty(value = "管理员账号", required = true)
    @NotNull
    private String adminAccount;

    /**
     * 管理员密码
     */
    @ApiModelProperty(value = "管理员密码", required = true)
    @NotNull
    private String adminPass;

    /**
     * 管理员级别
     */
    @ApiModelProperty(value = "管理员级别", required = true)
    @NotNull
    private Integer permissionLevel;

}