package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 用户退款记录表(ZccmUserRefundHistory)实体类
 *
 * @author java
 * @since 2020-12-10 11:31:35
 */

@ApiModel(value = "用户退款表")
@Data
public class ZccmUserRefundHistory implements Serializable {

    private static final long serialVersionUID = -82710997323240027L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer id;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID", required = true)
    @NotNull
    private Integer userId;

    /**
     * 用户类型12，普通用户，单位用户
     */
    @ApiModelProperty(value = "用户类型12，普通用户，单位用户", required = true)
    @NotNull
    private Integer userType;

    /**
     * 退款订单号
     */
    @ApiModelProperty(value = "退款订单号", required = true)
    @NotNull
    private String orderNo;

    /**
     * 退款时间
     */
    @ApiModelProperty(value = "退款时间")
    private Long createTime;

    /**
     * 退款处理时间，保留
     */
    @ApiModelProperty(value = "退款处理时间，保留")
    private Long doneTime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "退费金额")
    @NotNull
    private BigDecimal refundPrice;

}