package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 用户视频观看记录(ZccmUserVideoPosition)实体类
 *
 * @author java
 * @since 2020-05-29 15:50:50
 */

@ApiModel(value = "视频记录表")
@Data
public class ZccmUserVideoPosition implements Serializable {

    private static final long serialVersionUID = 133164084604002223L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键ID")
    private Integer userVideoPositionId;

    /**
     * 视频id
     */
    @ApiModelProperty(value = "视频id", required = true)
    @NotNull
    private Integer videoId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull
    private Integer userId;

    /**
     * 视频观看时间
     */
    private String videoPosition;

    /**
     * 是否观看解鼠
     */
    private Integer watchEnd;

    /**
     * 视频时长
     */
    private String videoTime;

}