package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmClassConfigSponsor;
import org.springframework.stereotype.Component;


/**
 * (ZccmClassConfigSponsor)表服务接口
 *
 * @author java
 * @since 2021-05-28 14:11:29
 */

@Component
public interface ZccmClassConfigSponsorService {

    /**
     * 通过ID查询单条数据
     *
     * @param sponsorId 主键
     * @return 实例对象
     */
    ZccmClassConfigSponsor queryById(Integer sponsorId);

    /**
     * 新增数据
     *
     * @param classConfigSponsor 实例对象
     * @return 实例对象
     */
    ZccmClassConfigSponsor insert(ZccmClassConfigSponsor classConfigSponsor);

    /**
     * 修改数据
     *
     * @param classConfigSponsor 实例对象
     * @return 实例对象
     */
    ZccmClassConfigSponsor update(ZccmClassConfigSponsor classConfigSponsor);

    /**
     * 通过主键删除数据
     *
     * @param sponsorId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sponsorId);

    /**
     * 分页查询多条数据
     *
     * @param page    页码
     * @param size    查询条数
     * @param classId 班次id
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size, Integer classId);


}
