package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmCourseTypeRelation;
import org.springframework.stereotype.Component;

/**
 * (ZccmCourseTypeRelation)表服务接口
 *
 * @author java
 * @since 2021-02-02 09:25:10
 */

@Component
public interface ZccmCourseTypeRelationService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseTypeReId 主键
     * @return 实例对象
     */
    ZccmCourseTypeRelation queryById(Integer courseTypeReId);

    /**
     * 新增数据
     *
     * @param courseTypeRelation 实例对象
     * @return 实例对象
     */
    ZccmCourseTypeRelation insert(ZccmCourseTypeRelation courseTypeRelation);

    /**
     * 修改数据
     *
     * @param courseTypeRelation 实例对象
     * @return 实例对象
     */
    ZccmCourseTypeRelation update(ZccmCourseTypeRelation courseTypeRelation);

    /**
     * 通过主键删除数据
     *
     * @param courseTypeReId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseTypeReId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}