package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmOrderUserLog;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * (ZccmOrderUserLog)表服务接口
 *
 * @author java
 * @since 2020-12-03 09:25:09
 */

@Component
public interface ZccmOrderUserLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param orderLogId 主键
     * @return 实例对象
     */
    ZccmOrderUserLog queryById(Integer orderLogId);

    /**
     * 新增数据
     *
     * @param orderUserLog 实例对象
     * @return 实例对象
     */
    ZccmOrderUserLog insert(ZccmOrderUserLog orderUserLog);

    /**
     * 依据订单id查询订单详情
     *
     * @param orderId
     * @return
     */
    List<ZccmOrderUserLog> queryListByOrderId(Integer orderId);

    /**
     * 修改数据
     *
     * @param orderUserLog 实例对象
     * @return 实例对象
     */
    ZccmOrderUserLog update(ZccmOrderUserLog orderUserLog);

    /**
     * 通过主键删除数据
     *
     * @param orderLogId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer orderLogId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}