package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmQrAccessory;
import org.springframework.stereotype.Component;


/**
 * 二维码扫码附件表(ZccmQrAccessory)表服务接口
 *
 * @author makejava
 * @since 2024-11-08 09:45:36
 */

@Component
public interface ZccmQrAccessoryService {

    /**
     * 通过ID查询单条数据
     *
     * @param qrId 主键
     * @return 实例对象
     */
    ZccmQrAccessory queryById(Integer qrId);

    /**
     * 新增数据
     *
     * @param zccmQrAccessory 实例对象
     * @return 实例对象
     */
    ZccmQrAccessory insert(ZccmQrAccessory zccmQrAccessory);

    /**
     * 修改数据
     *
     * @param zccmQrAccessory 实例对象
     * @return 实例对象
     */
    ZccmQrAccessory update(ZccmQrAccessory zccmQrAccessory);

    /**
     * 通过主键删除数据
     *
     * @param qrId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer qrId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryByAll(int page, int size,Integer courseId,
                        Integer qrIndex,
                        Integer qrType,
                        Integer chapterId,
                        String fileName);
}
