package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmUserAdmin;
import com.hc.business.model.login.AccessEntity;
import com.hc.business.model.login.AuthEntity;
import org.springframework.stereotype.Component;


/**
 * 管理员表(ZccmUserAdmin)表服务接口
 *
 * @author java
 * @since 2020-11-16 13:45:05
 */

@Component
public interface ZccmUserAdminService {

    /**
     * 通过ID查询单条数据
     *
     * @param userAdminId 主键
     * @return 实例对象
     */
    ZccmUserAdmin queryById(Integer userAdminId);

    /**
     * 新增数据
     *
     * @param userAdmin 实例对象
     * @return 实例对象
     */
    ZccmUserAdmin insert(ZccmUserAdmin userAdmin);

    /**
     * 修改数据
     *
     * @param userAdmin 实例对象
     * @return 实例对象
     */
    ZccmUserAdmin update(ZccmUserAdmin userAdmin);

    /**
     * 通过主键删除数据
     *
     * @param userAdminId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userAdminId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 后台管理员登录
     *
     * @param authEntity
     * @return
     */
    AccessEntity userAdminLogin(AuthEntity authEntity);


}