package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmUserTeacher;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * (ZccmUserTeacher)表服务接口
 *
 * @author java
 * @since 2020-11-20 11:08:19
 */

@Component
public interface ZccmUserTeacherService {

    /**
     * 通过ID查询单条数据
     *
     * @param teacherId 主键
     * @return 实例对象
     */
    ZccmUserTeacher queryById(Integer teacherId);

    /**
     * 新增数据
     *
     * @param userTeacher 实例对象
     * @return 实例对象
     */
    ZccmUserTeacher insert(ZccmUserTeacher userTeacher);

    /**
     * 修改数据
     *
     * @param userTeacher 实例对象
     * @return 实例对象
     */
    ZccmUserTeacher update(ZccmUserTeacher userTeacher);

    /**
     * 通过主键删除数据
     *
     * @param teacherId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer teacherId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 依据老师名称查询老师
     *
     * @param name 老师名称
     * @return 实例对象数组
     */
    List<ZccmUserTeacher> queryByName(String name);


}