package com.hc.web.controller.browser.app;

import com.hc.business.service.ZccmNewsTagService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 新闻标签表(NewsTag)表控制层
 *
 * @author java
 * @since 2020-11-20 12:52:34
 */

@RestController
@RequestMapping("/new/api/app/newsTag")
public class AppNewsTagController {

    /**
     * 服务对象
     */
    private final ZccmNewsTagService newsTagService;

    public AppNewsTagController(ZccmNewsTagService newsTagService) {
        this.newsTagService = newsTagService;
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 NewsTag列表", response = Result.class)
    public Result listAppNewsTag() {
        return Result.success(newsTagService.queryAll());
    }


}