package com.hc.web.controller.browser.front;

import com.hc.business.service.ZccmQuestionTagService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * 问题标签表(ZccmQuestionTag)表控制层
 *
 * @author java
 * @since 2020-12-07 11:36:44
 */

@RestController
@RequestMapping("/new/api/front/questionTag")
public class FrontQuestionTagController {

    /**
     * 服务对象
     */
    private final ZccmQuestionTagService questionTagService;

    public FrontQuestionTagController(ZccmQuestionTagService questionTagService) {
        this.questionTagService = questionTagService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 ZccmQuestionTag", response = Result.class)
    public Result selectDetail(@PathVariable("id") Integer id) {
        return Result.success(this.questionTagService.queryById(id));
    }


}